Package org.codehaus.groovy.tools.shell.util

# Class Logger

java.lang.Object
org.codehaus.groovy.tools.shell.util.Logger

public final class Logger extends Object
Provides a very, very basic logging API.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static IO`
  `io`
  `final String`
  `name`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Logger`
  `create(Class type)`
  `static Logger`
  `create(Class type, String suffix)`
  `void`
  `debug(Object msg)`
  `void`
  `debug(Object msg, Throwable cause)`
  `void`
  `error(Object msg)`
  `void`
  `error(Object msg, Throwable cause)`
  `boolean`
  `isDebug()`
  `boolean`
  `isDebugEnabled()`
  `void`
  `warn(Object msg)`
  `void`
  `warn(Object msg, Throwable cause)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### io

    public static volatile IO io

  - ### name

    public final String name

- ## Method Details

  - ### isDebugEnabled

    public boolean isDebugEnabled()

  - ### isDebug

    public boolean isDebug()

  - ### debug

    public void debug(Object msg)

  - ### debug

    public void debug(Object msg, Throwable cause)

  - ### warn

    public void warn(Object msg)

  - ### warn

    public void warn(Object msg, Throwable cause)

  - ### error

    public void error(Object msg)

  - ### error

    public void error(Object msg, Throwable cause)

  - ### create

    public static Logger create(Class type)

  - ### create

    public static Logger create(Class type, String suffix)